#!/bin/bash

# push ubuntu tarball
# Andrew Sutherland <dr3wsuth3rland@gmail.com>

if [ $# -ne 2 ]; then
    echo "Usage $0 <zip> </path/to/disk>"
    exit
fi

zip=$1
part=$2
if [ ! -d "$part" ]; then
    echo "$part does not exist.. is your path right?"
    exit 1
fi
if [ ! -f "$zip" ]; then
    echo "$zip not found.. is your path right?"
    exit 1
fi
tmp=$(mktemp -d)
echo "Unzipping"
sudo unzip $zip -d $tmp >/dev/null
pushd $tmp >/dev/null
echo "Unpacking Tarball"
# --numeric-owner very important to get the right perms
sudo tar --numeric-owner -axf $(find . -type f -name *.tar.gz)
echo "Copying rootfs.. This will take a few minutes"
# --delete for quicker upgrades
sudo rsync -a --delete binary/casper/filesystem.dir/ $part/ubuntu/
popd >/dev/null
echo "Installing custom ubuntu-session script"
sudo cp ubuntu-session $part/ubuntu/usr/bin/ubuntu-session
sudo chown root.root $part/ubuntu/usr/bin/ubuntu-session
sudo chmod 755 $part/ubuntu/usr/bin/ubuntu-session
echo "Syncing disks"
sync
echo "Cleaning up"
sudo rm -r $tmp
echo "Done."
echo "Now unmount the sdcard and put back in phone."
